summaryrefslogtreecommitdiffstats
path: root/o3d/installer
diff options
context:
space:
mode:
authornmaxwell@chromium.org <nmaxwell@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2009-11-19 16:59:45 +0000
committernmaxwell@chromium.org <nmaxwell@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2009-11-19 16:59:45 +0000
commit0efe30de7097be6fc6f9dd9b9ad167f40e437e7c (patch)
tree31aba44970c5d2ba89c6f7aa73ad9a41dd408a5f /o3d/installer
parentf14fc7c6fb3dc367cde8356577aee16e6bd47543 (diff)
downloadchromium_src-0efe30de7097be6fc6f9dd9b9ad167f40e437e7c.zip
chromium_src-0efe30de7097be6fc6f9dd9b9ad167f40e437e7c.tar.gz
chromium_src-0efe30de7097be6fc6f9dd9b9ad167f40e437e7c.tar.bz2
No longer ship/install libGLEW with o3d package. This should come from the users system. If we detect libGLEW is not present on the system, prompt user to install using their package manager and abort o3d instal.
Review URL: http://codereview.chromium.org/391058 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@32519 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'o3d/installer')
-rwxr-xr-xo3d/installer/linux/generic/setup.sh22
-rwxr-xr-xo3d/installer/linux/generic/uninstall.sh2
2 files changed, 19 insertions, 5 deletions
diff --git a/o3d/installer/linux/generic/setup.sh b/o3d/installer/linux/generic/setup.sh
index 82d2633..d6e6467 100755
--- a/o3d/installer/linux/generic/setup.sh
+++ b/o3d/installer/linux/generic/setup.sh
@@ -30,7 +30,7 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PATH=$PATH:/usr/bin/:/usr/local/bin
+PATH=$PATH:/sbin:/usr/bin/:/usr/local/bin
CheckArch() {
# Look for 32 or 64 bit arch from the kernel. If we can not get a read
@@ -71,7 +71,7 @@ UninstallO3d() {
SetupO3d() {
# Create npapi plugin directories, copy and symlink libs.
O3D_DIR="/opt/google/o3d"
- LIB_DIR=$O3D_DIR/lib
+ LIB_DIR=${O3D_DIR}/lib
PLUGIN_DIRS="/usr/lib/firefox/plugins
/usr/lib/iceape/plugins
@@ -82,11 +82,25 @@ SetupO3d() {
/usr/lib/xulrunner-addons/plugins"
LIBS="libCg.so
- libCgGL.so
- libGLEW.so.1.5"
+ libCgGL.so"
+
+ LIBGLEW="libGLEW.so.1.5"
LIB3D="libnpo3dautoplugin.so"
+ # Check for libGLEW on local system.
+ echo -n "Checking for libGLEW..."
+ ldconfig -p | grep $LIBGLEW
+ if [ $? -ne 0 ]; then
+ echo "
+ ERROR: The OpenGL Extension Wrangler ($LIBGLEW) was not found on your
+ system. This tool is required for O3D. Please install libGLEW using your
+ system's package manager."
+ exit 1
+ else
+ echo "ok"
+ fi
+
echo -n "Creating plugin directories..."
mkdir -p $PLUGIN_DIRS $O3D_DIR $LIB_DIR
echo "ok"
diff --git a/o3d/installer/linux/generic/uninstall.sh b/o3d/installer/linux/generic/uninstall.sh
index 4b94b57..750604a 100755
--- a/o3d/installer/linux/generic/uninstall.sh
+++ b/o3d/installer/linux/generic/uninstall.sh
@@ -63,7 +63,7 @@ Uninstall() {
# Remove O3D plugin, dirs and symlinks.
O3D_DIR="/opt/google/o3d"
APPS="mozilla firefox iceape iceweasel xulrunner midbrowser xulrunner-addons"
- LIBS="libCg.so libCgGL.so libGLEW.so.1.5"
+ LIBS="libCg.so libCgGL.so"
LIB3D="libnpo3dautoplugin.so"
LIB3D_WRAPPED="npwrapper.libnpo3dautoplugin.so"